#!/bin/sh
BASE="$(dirname "$0")"

if test "$(basename "$BASE")" = bin; then
    BASE="$(dirname "$BASE")"
fi

if test x"$MONO" = x; then
    MONO=mono
fi

if test x"$1" = x; then
    echo 'Available tools:'
    for TOOL in "$BASE/lib/eos/"eos*.exe; do
	basename "$TOOL" | sed 's/^eos//; s/\.exe$//'
    done
    exit
fi

TOOL="$BASE/lib/eos/eos$1.exe"
shift

ARCH="$(uname -sm | tr 'A-Z ' 'a-z-')"
LD_LIBRARY_PATH="$BASE/lib/eos/$ARCH:$LD_LIBRARY_PATH"
DYLD_LIBRARY_PATH="$BASE/lib/eos/$ARCH:$DYLD_LIBRARY_PATH"
export LD_LIBRARY_PATH DYLD_LIBRARY_PATH

exec $MONO $MONO_OPTIONS "$TOOL" "$@"
